package ec.sri.test.validation.bean;

import javax.validation.constraints.NotNull;

import org.hibernate.validator.constraints.Email;
import org.hibernate.validator.constraints.Length;

public class Cliente {
	
	@NotNull(message="La info es obligatoria")
	private String tipoIdCliente;
	@NotNull(message="La info es obligatoria")
	@Length(min=10, max=10, message="El campo no tiene la longitud adecuada")
	private String idCliente;
	@NotNull(message="La info es obligatoria")
	@Email(message="El email es incorrecto")
	private String email;
	
	
	public String getTipoIdCliente() {
		return tipoIdCliente;
	}
	public void setTipoIdCliente(String tipoIdCliente) {
		this.tipoIdCliente = tipoIdCliente;
	}
	public String getIdCliente() {
		return idCliente;
	}
	public void setIdCliente(String idCliente) {
		this.idCliente = idCliente;
	}
	public String getEmail() {
		return email;
	}
	public void setEmail(String email) {
		this.email = email;
	}
}
